PrestaShop error /src/Adapter/EntityMapper.php on line 99

Si recibes el siguiente error en PrestaShop, o ves algún warning en el error_log que incluye este error:


PHP Deprecated:  array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead in /home/usuario/public_html/dev/src/Adapter/EntityMapper.php on line 99


Seguramente tengas PrestaShop configurado con PHP 7.4


Prueba a bajar la versión a PHP 7.2 temporalmente mientras localizas qué módulo puede estar provocando ese warning. El error debería desaparecer.

¿Ha sido útil esta respuesta? No

Enviar comentario
Por favor ayúdanos a mejorar dejando tus ideas o comentarios